Skip to main content
GET
Check Arbitrum native bridge deposit status

Query Parameters

chainId
number
required

Chain ID of the parent chain deposit transaction

Example:

1

txHash
string
required

Parent chain deposit transaction hash

Example:

"0x2825fed33798922dbb5a3f6bf513e0def70dcde0b79b7b5e0c1b356df335f404"

Response

Bridge transaction status and details

sourceChainId
number
required

Parent chain ID the deposit was sent from

Example:

1

sourceTxHash
string
required

Parent chain deposit transaction hash

Example:

"0x2825fed33798922dbb5a3f6bf513e0def70dcde0b79b7b5e0c1b356df335f404"

status
enum<string>
required

Overall bridge status. ready_for_manual_execution means the automatic redeem on the child chain failed; anyone can redeem the ticket manually before it expires.

Available options:
pending,
inflight,
delivered,
failed,
ready_for_manual_execution,
unknown
destinationChainId
number

Child chain ID the deposit is delivered to

Example:

42161

retryableTicketId
string

Retryable ticket ID, which is also the hash of the ticket creation transaction on the child chain

Example:

"0x24e5ec485567db136596b2202d293b5600daf679c1f18a0e329dcce62119e62a"

destinationTxHash
string

Child chain redeem transaction that delivered the deposit (present when delivered)

Example:

"0xb0ca3eff46342b81e82bf7352e20db07204c13f19e690b90948b0377f6465f3e"

ticketExpiresAt
number

Unix timestamp at which the unredeemed ticket expires (present when ready_for_manual_execution)

Example:

1790000000

error
string

Error message when the status could not be determined

Example:

"Transaction receipt not found for 0x..."